#
# spec file for package python-peppercorn
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-peppercorn
Version:        0.5
Release:        1.118
Url:            http://docs.pylonsproject.org/projects/peppercorn/en/latest/
Summary:        Pyramid exceptions logger
License:        BSD-4-Clause and ZPL-2.1 and MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/peppercorn/peppercorn-%{version}.tar.gz

# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-pylons_sphinx_theme
# Testing requirements:
BuildRequires:  python-coverage
BuildRequires:  python-nose

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A library for converting a token stream into a data structure comprised of
sequences, mappings, and scalars, developed primarily for converting HTTP form
post data into a richer data structure.

Please see -doc package or 
http://docs.pylonsproject.org/projects/peppercorn/en/latest/ for the
documentation.

%package doc
Summary:        Pyramid exceptions logger
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n peppercorn-%{version}

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py nosetests --with-coverage

%files
%defattr(-,root,root,-)
%doc CHANGES.txt CONTRIBUTORS.txt COPYRIGHT.txt LICENSE.txt README.txt
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Fri Feb  6 2015 hpj@urpla.net
- version 0.5
  - Switch to an iterative parser rather than a recursive parser to avoid DoS
    attacks.
  - Add the ignore operation. The subsequent data elements in the stream will
    be ignored until the corresponding __end__ marker. This feature is useful
    for form elements designed for client-side scripting, such as a “select all”
    checkbox in the middle of a list of other kinds of fields.
  - Add support for Python 3.3.
  - Drop support for Python 2.5 / Jython.
* Mon Aug  5 2013 hpj@urpla.net
- version 0.4: initial build
